/* $Id: LogoutController.groovy 41035 2008-05-09 05:59:08Z caulfield14 $ */

import com.atlassian.crowd.integration.http.HttpAuthenticator
import com.atlassian.crowd.integration.exception.InvalidAuthorizationTokenException
import java.rmi.RemoteException


/**
 * Controller to process a user logout.
 */
class LogoutController {
    HttpAuthenticator httpAuthenticator

    /**
     * Action to invalidate the application session and try to remove the user from
     * Crowd's SSO system.
     */
    def index = {
        session.invalidate()

        try {
            httpAuthenticator.logoff(request, response)
        }
        catch (InvalidAuthorizationTokenException e) {
            log.error(e.message)
        }
        catch (RemoteException e) {
            log.error(e.message)
        }
        redirect(controller: "login")
    }
}
